import uuid

from sqlalchemy import JSON, Unicode, text
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.orm import Mapped, mapped_column

from ..db.base_class import reg


@reg.mapped_as_dataclass(unsafe_hash=True)
class DbSetting:
    __tablename__ = "settings"

    id: Mapped[uuid.UUID] = mapped_column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), insert_default=uuid.uuid4
    )
    name: Mapped[str] = mapped_column("name", Unicode(255), unique=True, nullable=False)
    data = mapped_column("data", JSON)

    def __init__(self, id_=None, name=None, data=None):
        self.id = id_
        self.name = name
        self.data = data
