import uuid

from sqlalchemy import ForeignKey, UniqueConstraint, text
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.orm import Mapped, mapped_column

from ..db.base_class import reg


@reg.mapped_as_dataclass(unsafe_hash=True)
class ModifierCategoryProduct:
    __tablename__ = "modifier_categories_products"
    __table_args__ = (UniqueConstraint("product_id", "modifier_category_id"),)

    id: Mapped[uuid.UUID] = mapped_column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), insert_default=uuid.uuid4
    )
    product_id: Mapped[uuid.UUID] = mapped_column(
        "product_id", UUID(as_uuid=True), ForeignKey("products.id"), nullable=False
    )
    modifier_category_id: Mapped[uuid.UUID] = mapped_column(
        "modifier_category_id",
        UUID(as_uuid=True),
        ForeignKey("modifier_categories.id"),
        nullable=False,
    )
