import uuid

from sqlalchemy import Unicode, text
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.orm import Mapped, mapped_column

from ..db.base_class import reg


@reg.mapped_as_dataclass(unsafe_hash=True)
class Printer:
    __tablename__ = "printers"

    id: Mapped[uuid.UUID] = mapped_column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), insert_default=uuid.uuid4
    )
    name: Mapped[str] = mapped_column("name", Unicode(255), unique=True, nullable=False)
    address: Mapped[str] = mapped_column("address", Unicode(255), nullable=False)
    cut_code: Mapped[str] = mapped_column("cut_code", Unicode(255), nullable=False)

    def __init__(self, name=None, address=None, cut_code=None, id_=None):
        self.id = id_
        self.name = name
        self.address = address
        self.cut_code = cut_code
