from decimal import Decimal

from pydantic import BaseModel

from . import to_camel


class ReceivePaymentItem(BaseModel):
    id_: int
    amount: Decimal

    class Config:
        fields = {"id_": "id"}


class ReceivePayment(BaseModel):
    reason: str
    amounts: list[ReceivePaymentItem]

    class Config:
        alias_generator = to_camel
        anystr_strip_whitespace = True
