import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { Printer } from '../../core/printer';

import { PrinterListDataSource } from './printer-list-datasource';

@Component({
  selector: 'app-printer-list',
  templateUrl: './printer-list.component.html',
  styleUrls: ['./printer-list.component.css'],
})
export class PrinterListComponent implements OnInit {
  list: Printer[] = [];
  dataSource: PrinterListDataSource = new PrinterListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name', 'address', 'cutCode'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: Printer[] };
      this.list = data.list;
    });
    this.dataSource = new PrinterListDataSource(this.list);
  }
}
