import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { Regime } from '../../core/regime';

import { RegimeListDataSource } from './regime-list-datasource';

@Component({
  selector: 'app-regime-list',
  templateUrl: './regime-list.component.html',
  styleUrls: ['./regime-list.component.css'],
})
export class RegimeListComponent implements OnInit {
  list: Regime[] = [];
  dataSource: RegimeListDataSource = new RegimeListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name', 'header', 'prefix', 'isFixture'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: Regime[] };
      this.list = data.list;
    });
    this.dataSource = new RegimeListDataSource(this.list);
  }
}
