import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs';

import { Regime } from '../core/regime';

import { RegimeService } from './regime.service';

@Injectable({
  providedIn: 'root',
})
export class RegimeResolver implements Resolve<Regime> {
  constructor(private ser: RegimeService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Regime> {
    const id = route.paramMap.get('id');
    return this.ser.get(id ? +id : null);
  }
}
