import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { RegimeDetailComponent } from './regime-detail/regime-detail.component';
import { RegimeListComponent } from './regime-list/regime-list.component';
import { RegimeListResolver } from './regime-list-resolver.service';
import { RegimeResolver } from './regime-resolver.service';

const regimesRoutes: Routes = [
  {
    path: '',
    component: RegimeListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Regimes',
    },
    resolve: {
      list: RegimeListResolver,
    },
  },
  {
    path: 'new',
    component: RegimeDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Regimes',
    },
    resolve: {
      item: RegimeResolver,
    },
  },
  {
    path: ':id',
    component: RegimeDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Regimes',
    },
    resolve: {
      item: RegimeResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(regimesRoutes)],
  exports: [RouterModule],
  providers: [RegimeListResolver, RegimeResolver],
})
export class RegimesRoutingModule {}
